diff -Naur streamtuner-0.99.99-orig/src/plugins/live365/live365.c streamtuner-0.99.99/src/plugins/live365/live365.c
--- streamtuner-0.99.99-orig/src/plugins/live365/live365.c	2004-12-19 11:27:03.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/live365/live365.c	2006-10-11 22:31:57.000000000 +0200
@@ -1409,9 +1409,9 @@
 
   init_handler();
 
-  st_action_register("record-stream", _("Record a stream"), "xterm -e streamripper %q");
-  st_action_register("view-web", _("Open a web page"), "epiphany %q");
-  st_action_register("play-stream", _("Listen to a stream"), "xmms %q");
+  st_action_register("record-stream", _("Record a stream"), "terminal -x streamripper %q");
+  st_action_register("view-web", _("Open a web page"), "icecat %q");
+  st_action_register("play-stream", _("Listen to a stream"), "totem %q");
 
   return TRUE;
 }
diff -Naur streamtuner-0.99.99-orig/src/plugins/local/local.c streamtuner-0.99.99/src/plugins/local/local.c
--- streamtuner-0.99.99-orig/src/plugins/local/local.c	2004-12-13 08:39:29.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/local/local.c	2006-10-11 22:33:42.000000000 +0200
@@ -1057,8 +1057,8 @@
 
   init_handler();
 
-  st_action_register("play-m3u", _("Listen to a .m3u file"), "xmms %q");
-  st_action_register("view-web", _("Open a web page"), "epiphany %q");
+  st_action_register("play-m3u", _("Listen to a .m3u file"), "totem %q");
+  st_action_register("view-web", _("Open a web page"), "icecat %q");
 
   return TRUE;
 }
diff -Naur streamtuner-0.99.99-orig/src/plugins/python/google-stations.py streamtuner-0.99.99/src/plugins/python/google-stations.py
--- streamtuner-0.99.99-orig/src/plugins/python/google-stations.py	2004-12-18 09:29:30.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/python/google-stations.py	2006-10-11 22:36:11.000000000 +0200
@@ -166,7 +166,7 @@
     if not ST.check_api_version(2, 0):
         raise RuntimeError, _("API version mismatch")
 
-    ST.action_register("view-web", _("Open a web page"), "epiphany %q")
+    ST.action_register("view-web", _("Open a web page"), "icecat %q")
 
     handler = GoogleStationsHandler()
     ST.handlers_add(handler)
diff -Naur streamtuner-0.99.99-orig/src/plugins/python/punkcast.com.py streamtuner-0.99.99/src/plugins/python/punkcast.com.py
--- streamtuner-0.99.99-orig/src/plugins/python/punkcast.com.py	2004-12-13 06:45:14.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/python/punkcast.com.py	2006-10-11 22:36:11.000000000 +0200
@@ -192,7 +192,7 @@
     if not ST.check_api_version(2, 0):
         raise RuntimeError, _("API version mismatch")
     
-    ST.action_register("view-web", _("Open a web page"), "epiphany %q")
+    ST.action_register("view-web", _("Open a web page"), "icecat %q")
 
     handler = PunkcastComHandler()
     ST.handlers_add(handler)
diff -Naur streamtuner-0.99.99-orig/src/plugins/shoutcast/shoutcast.c streamtuner-0.99.99/src/plugins/shoutcast/shoutcast.c
--- streamtuner-0.99.99-orig/src/plugins/shoutcast/shoutcast.c	2004-12-19 16:21:00.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/shoutcast/shoutcast.c	2006-10-11 22:31:28.000000000 +0200
@@ -959,9 +959,9 @@
 
   init_handler();
   
-  st_action_register("play-m3u", _("Listen to a .m3u file"), "xmms %q");
-  st_action_register("record-stream", _("Record a stream"), "xterm -e streamripper %q");
-  st_action_register("view-web", _("Open a web page"), "epiphany %q");
+  st_action_register("play-m3u", _("Listen to a .m3u file"), "totem %q");
+  st_action_register("record-stream", _("Record a stream"), "terminal -x streamripper %q");
+  st_action_register("view-web", _("Open a web page"), "icecat %q");
 
   return TRUE;
 }
diff -Naur streamtuner-0.99.99-orig/src/plugins/xiph/xiph.c streamtuner-0.99.99/src/plugins/xiph/xiph.c
--- streamtuner-0.99.99-orig/src/plugins/xiph/xiph.c	2004-12-13 10:57:33.000000000 +0100
+++ streamtuner-0.99.99/src/plugins/xiph/xiph.c	2006-10-11 22:33:19.000000000 +0200
@@ -956,8 +956,8 @@
 
   init_handler();
 
-  st_action_register("record-stream", _("Record a stream"), "xterm -e streamripper %q");
-  st_action_register("play-stream", _("Listen to a stream"), "xmms %q");
+  st_action_register("record-stream", _("Record a stream"), "terminal -x streamripper %q");
+  st_action_register("play-stream", _("Listen to a stream"), "totem %q");
 
   return TRUE;
 }
diff -Naur streamtuner-0.99.99-orig/src/streamtuner/st-action.c streamtuner-0.99.99/src/streamtuner/st-action.c
--- streamtuner-0.99.99-orig/src/streamtuner/st-action.c	2004-12-18 10:56:42.000000000 +0100
+++ streamtuner-0.99.99/src/streamtuner/st-action.c	2006-10-11 22:36:54.000000000 +0200
@@ -123,8 +123,8 @@
 {
   actions = g_hash_table_new_full(g_str_hash, g_str_equal, g_free, NULL);
 
-  st_action_register("view-web", _("Open a web page"), "epiphany %q");
-  st_action_register("view-ghelp", _("Open a GNOME help document"), "yelp %q");
+  st_action_register("view-web", _("Open a web page"), "icecat %q");
+  st_action_register("view-ghelp", _("Open a GNOME help document"), "icecat %q");
 }
 
 static void
diff -Naur streamtuner-0.99.99-orig/src/streamtuner/st-preselections.c streamtuner-0.99.99/src/streamtuner/st-preselections.c
--- streamtuner-0.99.99-orig/src/streamtuner/st-preselections.c	2004-12-13 10:57:52.000000000 +0100
+++ streamtuner-0.99.99/src/streamtuner/st-preselections.c	2006-10-11 22:30:53.000000000 +0200
@@ -390,9 +390,9 @@
 {
   st_preselections_init_handler();
   
-  st_action_register("play-stream", _("Listen to a stream"), "xmms %q");
-  st_action_register("record-stream", _("Record a stream"), "xterm -e streamripper %q");
-  st_action_register("view-web", _("Open a web page"), "epiphany %q");
+  st_action_register("play-stream", _("Listen to a stream"), "totem %q");
+  st_action_register("record-stream", _("Record a stream"), "terminal -x streamripper %q");
+  st_action_register("view-web", _("Open a web page"), "icecat %q");
 }
 
 void
